Package ru.bitel.bgbilling.modules.phone.common.bean

# Class GateType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.phone.common.bean.GateType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`

public class GateType extends Id implements GuiTitlable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getScript()`
  `String`
  `getTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setScript(String script)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GateType

    public GateType()

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getScript

    public String getScript()

  - ### setScript

    public void setScript(String script)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.